LIGHTTHETA(3CgFX)

NAME
LightTheta - 3D API light theta

USAGE
LightTheta[i] = float(theta)

VALID ENUMERANTS
theta: floating point value

DESCRIPTION
Specify the angle in radians of a spotlight's inner cone. See the Theta member of the D3DLIGHT9 argument to IDirect3DDevice9::SetLight method.

The standard reset callback sets the LightTheta[i] state to float(0).

OPENGL FUNCTIONALITY REQUIREMENTS
Not applicable.

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
LightAmbient, LightAttenuation0, LightAttenuation1, LightAttenuation2, LightConstantAttenuation, LightDiffuse, LightDirection, LightEnable, LightFalloff, LightLinearAttenuation, LightModelAmbient, LightModelColorControl, LightModelLocalViewerEnable, LightModelTwoSideEnable, LightPhi, LightPosition, LightQuadraticAttenuation, LightRange, LightSpecular, LightSpotCutoff, LightSpotDirection, LightSpotExponent, LightType, LightingEnable